# CALIBRATING DEPTH-INVARIANT SPOT XS DATA TO SEAGRASS STANDING CROP

# @1 represents the land mask file LANDMSK7.GIF
# @2 represents the SPOT XS depth-invariant bottom index image file XS_DI.DAT

# The calibration equation 38.6 - 5.6 * @2 is determined from a graph of square root
# seagrass standing crop against image data, where 38.6 is the intercept and 5.6 the slope.

# First set these values as constants and also set up a constant for the landmask.

	CONST intercept = 38.6 ;
	CONST slope = 5.6 ;
	CONST landmask = @1 ;

# To create a calibrated image in units of standing crop (rather than the square root of standing crop),
# the equation must be squared. 

# This is achieved by multiplying the calibration equation by itself. Finally multiplying by the landmask
# sets all irrelevant land areas to zero.

	( (intercept - slope * @2) * (intercept - slope * @2) ) * landmask ;
